package com.simuwang.base.common.support.dos;

import com.simuwang.base.common.conts.Constants;
import com.simuwang.base.common.support.vo.OnlyIdNameVO;
import lombok.Getter;
import lombok.Setter;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author wangzaijun
 * @date 2024/9/14 9:32
 * @description 仅包含id和名称的对象
 */
@Setter
@Getter
public class OnlyIdNameDO implements Serializable {
    @Serial
    private static final long serialVersionUID = Constants.DEFAULT_SERIAL_ID;
    /**
     * 唯一标识
     */
    private Integer id;
    /**
     * 对应的名称
     */
    private String name;

    /**
     * 提供把数据库对象转vo对象的方法
     *
     * @return /
     */
    public OnlyIdNameVO toVo() {
        OnlyIdNameVO vo = new OnlyIdNameVO();
        vo.setId(id);
        vo.setName(name);
        return vo;
    }
}
